<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%
	} 
	String persona = (String) session.getAttribute("persona");
%>	
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoOrganismos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
	
<SCRIPT language=JavaScript>
	function fncSeleccionar (origen, cod,desc,edesc){
		     if(origen=="formSanciones"){
		     	opener.document[origen].CodOrg.value=cod;
		   	  	if(idioma=="es")
		   	  		opener.document[origen].DescripcionOrg.value=desc;
		     	else
		     		opener.document[origen].DescripcionOrg.value=edesc;
		     }
	     window.close();
	}
	var urlIdioma="";		//URL recarga en funcion del idioma
	var rutaCabecera="";	//Camino de migas
</SCRIPT>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
 <%//@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<FORM NAME="FormOrganimos" METHOD="POST">
		 <TABLE class="general">
			    <tr align="right">
					    <td colspan="5">
					  		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:window.close();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
					  	</td>
				</tr>
				<tr></tr>
		 </TABLE>
		 <TABLE class="general">
		    <tr>
		       <td class="searchTitle" width="20%"><%= res.getString("etCodigo")%></td>
		       <td class="searchTitle" width="40%"><%=res.getString("etDescripcion")%></td>
		       <td class="searchTitle" width="40%"><%= res.getString("etEDescripcion")%></td>
		    </tr>
		
		<%

					int contador = 0;
					String sql = "", sql2 = "";
					String codigo="", descripcion="", edescripcion="";
					String origen = request.getParameter("Origen");	
					descripcion=request.getParameter("Descripcion").toUpperCase();
                    java.sql.Connection conn=null;
                    PreparedStatement pstmt = null;
                    ResultSet rs = null;
					
					if(descripcion!=null){
						//reemplazo los acentos
						descripcion=descripcion.replaceAll("Á","A");
						descripcion=descripcion.replaceAll("É","E");
						descripcion=descripcion.replaceAll("Í","I");
						descripcion=descripcion.replaceAll("Ó","O");
						descripcion=descripcion.replaceAll("Ú","U");
					}
					try{
						session.removeAttribute("Organismo");
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) { 
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();						  
						}

						sql = "select COD_ORG_48, DESCRIP_48, E_DESCRIP_48 from M0548T00";
						if(idiomaSes!=null && idiomaSes.equals("es")){
							if (!(descripcion.equals(""))) {
						    	if(!sql2.equals(""))	
						    		sql2+= " AND ";
						    	else
						    		sql2+= " WHERE ";
						    	sql2 += "replace(replace(replace(replace(replace(DESCRIP_48,'Ú','U'),'Ó','O'),'Í','I'),'É','E'),'Á','A')" + "   like '%" + descripcion + "%' ";
						    }
					    }else{
					    	if (!(descripcion.equals(""))) {
						    	if(!sql2.equals(""))	
						    		sql2+= " AND ";
						    	else
						    		sql2+= " WHERE ";
						    	sql2 += "replace(replace(replace(replace(replace(E_DESCRIP_48,'Ú','U'),'Ó','O'),'Í','I'),'É','E'),'Á','A')" + "   like '%" + descripcion + "%' ";
						    }
					    }
					    if (!(codigo.equals(""))) {
					    	if(!sql2.equals(""))	
					    		sql2+= " AND ";
					    	else
					    		sql2+= " WHERE ";
					    	sql2 +=  "COD_ORG_48 like '" + codigo + "%' " ; 
					    }	
						sql = sql + sql2 + " order by TO_NUMBER(COD_ORG_48), DESCRIP_48";
						
					    //m05bbBeginSelect(sql);
						//m05bRS = m05bPStmt.executeQuery();
						contador=0;
      		            m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                pstmt = conn.prepareStatement(sql);
		                rs = pstmt.executeQuery();						
						while (rs.next() == true){
							codigo = rs.getString("COD_ORG_48");
							descripcion= rs.getString("DESCRIP_48");
							if (descripcion==null)
								descripcion="";
							edescripcion= rs.getString("E_DESCRIP_48");
							if (edescripcion==null)
								edescripcion="";
							contador = contador + 1;  
				%>
				<tr>
				   <td class="inputFieldTitle"><FONT size="2"><A href="#" onclick="javascript:fncSeleccionar('<%=origen%>','<%=codigo%>','<%=descripcion%>','<%=edescripcion%>');return false;"><%=codigo%></A></FONT></td>
		   		   <td class="inputFieldTitle"><FONT size="2"><%=descripcion%></FONT></td>
		   		   <td class="inputFieldTitle"><FONT size="2"><%=edescripcion%></FONT></td>
				</tr>
				<%}%>
			    <tr align="center">
				      <td class="inputField" colspan="5"><%= res.getString("etTotal")%><%=contador%></td>
			    </tr>
			</TABLE>
</FORM>
<%
} catch (Exception ex1) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		miLog.addTraza(ex1);
} finally {
		//m05bEndSelect();
		       if (rs != null)
			   rs.close();
		       if (pstmt != null)
			   pstmt.close();
		       if (conn != null)
			   conn.close();		
}%>
</BODY>
</HTML>